> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Evaluator

> Permanently delete an evaluator and all its criteria.

<Warning>
  This action is permanent and cannot be undone.
</Warning>

<Note>
  Returns `404` if the evaluator is not found.
</Note>


## OpenAPI

````yaml api-reference/openapi-evaluators.json POST /delete-evaluator
openapi: 3.1.0
info:
  title: Heify API — Evaluators
  description: Endpoints for creating, retrieving, and managing Evaluators.
  version: 1.0.0
servers:
  - url: https://api.heify.com
security:
  - apiKeyAuth: []
paths:
  /delete-evaluator:
    post:
      summary: Delete Evaluator
      description: >-
        Permanently deletes an evaluator and all its criteria. This action
        cannot be undone.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteEvaluatorRequest'
            examples:
              DeleteEvaluator:
                summary: Delete an evaluator
                value:
                  evaluator_id: cd9e6ef7-fd3c-4cf1-9dd5-a5d5dbc8e887
      responses:
        '200':
          description: Evaluator deleted successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteEvaluatorResponse'
              examples:
                Success:
                  summary: Evaluator deleted
                  value:
                    data:
                      message: Evaluator deleted successfully
components:
  schemas:
    DeleteEvaluatorRequest:
      type: object
      properties:
        evaluator_id:
          type: string
          format: uuid
          description: The evaluator to delete.
      required:
        - evaluator_id
    DeleteEvaluatorResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            message:
              type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````